org.bdgenomics.adam.rdd.contig

# NucleotideContigFragmentRDDFunctions

#### class NucleotideContigFragmentRDDFunctions extends ADAMSequenceDictionaryRDDAggregator[NucleotideContigFragment]

Linear Supertypes
ADAMSequenceDictionaryRDDAggregator[NucleotideContigFragment], Logging, Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. NucleotideContigFragmentRDDFunctions
2. ADAMSequenceDictionaryRDDAggregator
3. Logging
4. Serializable
5. Serializable
6. AnyRef
7. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new NucleotideContigFragmentRDDFunctions(rdd: RDD[NucleotideContigFragment])

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### def adamGetReferenceString(region: ReferenceRegion): String

   From a set of contigs, returns the base sequence that corresponds to a region of the reference.

   From a set of contigs, returns the base sequence that corresponds to a region of the reference.

   region

     Reference region over which to get sequence.

   returns

     String of bases corresponding to reference sequence.

   Exceptions thrown
     UnsupportedOperationException

     Throws exception if query region is not found.

7. #### def adamGetSequenceDictionary(): SequenceDictionary

   Aggregates together a sequence dictionary from the different individual reference sequences used in this dataset.

   Aggregates together a sequence dictionary from the different individual reference sequences used in this dataset.

   returns

     A sequence dictionary describing the reference contigs in this dataset.

   Definition Classes
     ADAMSequenceDictionaryRDDAggregator

8. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

11. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

12. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

13. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

14. #### def getSequenceRecordsFromElement(elem: NucleotideContigFragment): Set[SequenceRecord]

    For a single RDD element, returns 0+ sequence record elements.

    For a single RDD element, returns 0+ sequence record elements.

    elem

      Element from which to extract sequence records.

    returns

      A seq of sequence records.

    Definition Classes
      NucleotideContigFragmentRDDFunctions → ADAMSequenceDictionaryRDDAggregator

15. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

16. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

17. #### def isTraceEnabled(): Boolean

    Attributes
      protected
    Definition Classes
      Logging

18. #### def log: Logger

    Attributes
      protected
    Definition Classes
      Logging

19. #### def logDebug(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

20. #### def logDebug(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

21. #### def logError(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

22. #### def logError(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

23. #### def logInfo(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

24. #### def logInfo(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

25. #### def logName: String

    Attributes
      protected
    Definition Classes
      Logging

26. #### def logTrace(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

27. #### def logTrace(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

28. #### def logWarning(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

29. #### def logWarning(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

30. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

31. #### final def notify(): Unit

    Definition Classes
      AnyRef

32. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

33. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

34. #### def toReads(): RDD[AlignmentRecord]

    Converts an RDD of nucleotide contig fragments into reads.

    Converts an RDD of nucleotide contig fragments into reads. Adjacent contig fragments are combined.

    returns

      Returns an RDD of reads.

35. #### def toString(): String

    Definition Classes
      AnyRef → Any

36. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

37. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

38. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from ADAMSequenceDictionaryRDDAggregator[NucleotideContigFragment]

### Inherited from Logging

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped